=== modified file 'profile_imports.py'
--- profile_imports.py	2009-11-14 11:43:23 +0000
+++ profile_imports.py	2009-11-14 11:50:10 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2006 by Canonical Ltd
+# Copyright (C) 2006, 2009 by Canonical Ltd
 # Written by John Arbash Meinel <john@arbash-meinel.com>
 #
 # This program is free software; you can redistribute it and/or modify
@@ -17,11 +17,17 @@
 
 """A custom importer and regex compiler which logs time spent."""
 
-import sre
 import sys
 import time
 
 
+if sys.version_info < (2, 5, 0):
+    import sre
+    re = sre
+else:
+    import re
+
+
 _parent_stack = []
 _total_stack = {}
 _info = {}
@@ -146,7 +152,8 @@
     return mod
 
 
-_real_compile = sre._compile
+_real_compile = re._compile
+
 
 def timed_compile(*args, **kwargs):
     """Log how long it takes to compile a regex"""
@@ -178,11 +185,11 @@
 def install():
     """Install the hooks for measuring import and regex compile time."""
     __builtins__['__import__'] = timed_import
-    sre._compile = timed_compile
+    re._compile = timed_compile
 
 
 def uninstall():
     """Remove the import and regex compile timing hooks."""
     __builtins__['__import__'] = _real_import
-    sre._compile = _real_compile
+    re._compile = _real_compile
 

